PHPExcel_Cell_Hyperlink

category | PHPExcel
package | PHPExcel_Cell
copyright | Copyright (c) 2006 - 2013 PHPExcel (http://www.codeplex.com/PHPExcel)

### Methods

## Create a new PHPExcel_Cell_Hyperlink

    __construct(string $pUrl, string $pTooltip)

### Parameters

#### $pUrl

`string`

Url to link the cell to

#### $pTooltip

`string`

Tooltip to display on the hyperlink

## Get hash code

    getHashCode() : string

### Returns

`string`Hash code

## Get tooltip

    getTooltip() : string

### Returns

`string`

## Get URL

    getUrl() : string

### Returns

`string`

## Is this hyperlink internal? (to another worksheet)

    isInternal() : boolean

### Returns

`boolean`

## Set tooltip

    setTooltip(string $value) : \PHPExcel_Cell_Hyperlink

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_Hyperlink`

## Set URL

    setUrl(string $value) : \PHPExcel_Cell_Hyperlink

### Parameters

#### $value

`string`

### Returns

`\PHPExcel_Cell_Hyperlink`

### Properties

##

    $_tooltip : string

##

    $_url : string